From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/mgba/
Date: Wed, 11 Jan 2023 11:26:14 +0000 (UTC) [thread overview]
Message-ID: <1673436330.45308c25682983317722d1f75142025b2a560355.ionen@gentoo> (raw)
commit: 45308c25682983317722d1f75142025b2a560355
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 11 10:18:03 2023 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jan 11 11:25:30 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45308c25
games-emulation/mgba: add 0.10.1
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
games-emulation/mgba/Manifest | 1 +
games-emulation/mgba/mgba-0.10.1.ebuild | 106 ++++++++++++++++++++++++++++++++
2 files changed, 107 insertions(+)
diff --git a/games-emulation/mgba/Manifest b/games-emulation/mgba/Manifest
index 07ecb0f2a4b1..9e7fd52ce992 100644
--- a/games-emulation/mgba/Manifest
+++ b/games-emulation/mgba/Manifest
@@ -1 +1,2 @@
DIST mgba-0.10.0.tar.gz 14302653 BLAKE2B 0ebfa8a3de5db61452f070116fcf2d6312ce96f5d08b1b1e70ba8f7e50235fecff2a0f6a5a32860b7e95e55a6ab5bbf2227d483bad7eb25d6c7e471424bcf0dd SHA512 05939f94bc00906d999b955091e8e8059cc13a5b822048f6e002062c2e74069337d947d2cde2f8c1be96e3353a361743d752811c214fa9da31ed6a4893b4d7e8
+DIST mgba-0.10.1.tar.gz 14308454 BLAKE2B 5e28ac799cd9e5398508a65bec00dc1da9462e19dc18e0194368a8c57fff2b1af7578a595ab1a414741c1f68c795de3d55913302810d95298a4068b385613389 SHA512 bb79d2380a4708b70daf95c9b403427f77254391b1e11d68411384f265a670907e64b842c9978c9be558ffad337b738d9d83988d52890f08aed7e7fc124f19d4
diff --git a/games-emulation/mgba/mgba-0.10.1.ebuild b/games-emulation/mgba/mgba-0.10.1.ebuild
new file mode 100644
index 000000000000..e1ddaff59158
--- /dev/null
+++ b/games-emulation/mgba/mgba-0.10.1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{3..4} )
+inherit cmake lua-single xdg
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/mgba-emu/mgba.git"
+else
+ SRC_URI="https://github.com/mgba-emu/mgba/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Game Boy Advance Emulator"
+HOMEPAGE="https://mgba.io/"
+
+LICENSE="MPL-2.0 BSD LGPL-2.1+ public-domain discord? ( MIT )"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="debug discord elf ffmpeg gles2 gles3 gui libretro lua +opengl +sdl +sqlite test"
+REQUIRED_USE="
+ gui? ( || ( gles2 gles3 opengl ) sqlite )
+ lua? ( ${LUA_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ media-libs/libpng:=
+ sys-libs/zlib:=[minizip]
+ debug? ( dev-libs/libedit )
+ elf? ( dev-libs/elfutils )
+ ffmpeg? ( media-video/ffmpeg:= )
+ gles2? ( media-libs/libglvnd )
+ gles3? ( media-libs/libglvnd )
+ lua? ( ${LUA_DEPS} )
+ opengl? ( media-libs/libglvnd )
+ gui? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ )
+ sdl? ( media-libs/libsdl2[sound,joystick,gles2?,opengl?,video] )
+ sqlite? ( dev-db/sqlite:3 )"
+DEPEND="
+ ${RDEPEND}
+ test? ( dev-util/cmocka )"
+BDEPEND="lua? ( virtual/pkgconfig )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.10.0-optional-updater.patch
+)
+
+pkg_setup() {
+ use lua && lua-single_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_CINEMA=$(usex test)
+ -DBUILD_GL=$(usex opengl)
+ -DBUILD_GLES2=$(usex gles2)
+ -DBUILD_GLES3=$(usex gles3)
+ -DBUILD_LIBRETRO=$(usex libretro)
+ -DBUILD_QT=$(usex gui)
+ -DBUILD_SDL=$(usex sdl) # also used for gamepads in QT build
+ -DBUILD_SUITE=$(usex test)
+ -DBUILD_UPDATER=OFF
+ -DENABLE_SCRIPTING=$(usex lua)
+ -DMARKDOWN=OFF #752048
+ -DUSE_DEBUGGERS=$(usex debug)
+ -DUSE_DISCORD_RPC=$(usex discord)
+ -DUSE_EDITLINE=$(usex debug)
+ -DUSE_ELF=$(usex elf)
+ -DUSE_EPOXY=OFF
+ -DUSE_FFMPEG=$(usex ffmpeg)
+ -DUSE_GDB_STUB=$(usex debug)
+ -DUSE_LIBZIP=OFF
+ -DUSE_LZMA=ON
+ -DUSE_MINIZIP=ON
+ -DUSE_PNG=ON
+ -DUSE_SQLITE3=$(usex sqlite)
+ -DUSE_ZLIB=ON
+ $(usev libretro -DLIBRETRO_LIBDIR="${EPREFIX}"/usr/$(get_libdir)/libretro)
+ )
+ use lua && mycmakeargs+=( -DUSE_LUA=$(ver_cut 1-2 $(lua_get_version)) )
+
+ cmake_src_configure
+}
+
+src_test() {
+ # CMakeLists.txt forces SKIP_RPATH=ON when PREFIX=/usr
+ local -x LD_LIBRARY_PATH=${BUILD_DIR}:${LD_LIBRARY_PATH}
+
+ cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ use !test || rm "${ED}"/usr/bin/mgba-cinema || die
+
+ rm -r "${ED}"/usr/share/doc/${PF}/{LICENSE,licenses} || die
+}
next reply other threads:[~2023-01-11 11:26 UTC|newest]
Thread overview: 89+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-11 11:26 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-25 17:57 [gentoo-commits] repo/gentoo:master commit in: games-emulation/mgba/ Ionen Wolkens
2024-05-25 17:31 Ionen Wolkens
2024-02-22 6:16 Ionen Wolkens
2024-02-07 4:55 Ionen Wolkens
2024-01-23 18:46 Sam James
2024-01-23 16:40 Sam James
2024-01-23 16:40 Sam James
2024-01-11 10:45 Sam James
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-03 6:22 Sam James
2023-12-19 17:01 Arthur Zamarin
2023-12-19 17:01 Arthur Zamarin
2023-11-29 16:32 Ionen Wolkens
2023-05-12 9:02 Ionen Wolkens
2023-05-11 18:48 Arthur Zamarin
2023-05-11 18:42 Arthur Zamarin
2023-04-24 5:48 Ionen Wolkens
2023-04-24 5:48 Ionen Wolkens
2023-01-30 19:11 Ionen Wolkens
2023-01-26 15:13 Ionen Wolkens
2022-11-17 14:58 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-07-21 5:38 Ionen Wolkens
2022-07-14 21:24 Ionen Wolkens
2022-07-03 5:33 Ionen Wolkens
2022-06-29 17:22 Ionen Wolkens
2022-06-29 17:22 Ionen Wolkens
2022-06-29 17:22 Ionen Wolkens
2022-06-29 8:08 Ionen Wolkens
2022-06-16 16:30 Sam James
2022-06-08 12:21 Jakov Smolić
2021-12-18 19:59 Lars Wendler
2021-12-18 19:59 Lars Wendler
2021-12-18 19:59 Lars Wendler
2021-09-23 13:58 Agostino Sarubbo
2021-09-22 6:58 Agostino Sarubbo
2021-07-11 17:03 Lars Wendler
2021-04-19 21:18 Lars Wendler
2021-04-19 21:18 Lars Wendler
2021-04-19 11:06 Lars Wendler
2021-03-29 7:58 Lars Wendler
2021-03-29 7:58 Lars Wendler
2021-03-29 7:58 Lars Wendler
2020-10-30 8:27 Lars Wendler
2020-10-30 8:27 Lars Wendler
2020-10-30 8:27 Lars Wendler
2020-08-04 14:48 Lars Wendler
2020-08-04 13:41 Lars Wendler
2020-08-04 13:41 Lars Wendler
2020-08-04 13:41 Lars Wendler
2020-07-21 22:27 Sam James
2020-06-15 12:00 Lars Wendler
2020-06-15 12:00 Lars Wendler
2020-04-25 20:12 Mikle Kolyada
2020-02-17 10:12 Lars Wendler
2020-02-17 10:12 Lars Wendler
2020-02-01 3:11 Lars Wendler
2020-01-27 12:31 Lars Wendler
2020-01-27 12:31 Lars Wendler
2019-12-10 9:10 Lars Wendler
2019-12-10 9:10 Lars Wendler
2019-12-10 9:10 Lars Wendler
2019-09-25 22:38 Lars Wendler
2019-09-25 22:38 Lars Wendler
2019-06-02 22:59 Lars Wendler
2019-06-02 22:59 Lars Wendler
2019-04-21 0:49 Lars Wendler
2019-02-26 14:53 Lars Wendler
2019-01-29 11:31 Lars Wendler
2019-01-29 11:31 Lars Wendler
2019-01-29 11:31 Lars Wendler
2018-04-19 19:29 Lars Wendler
2018-04-17 9:18 Lars Wendler
2018-04-05 8:13 Lars Wendler
2018-04-05 8:13 Lars Wendler
2018-01-05 8:28 Lars Wendler
2017-10-16 0:08 David Seifert
2017-10-03 20:59 Lars Wendler
2017-07-20 8:51 Lars Wendler
2017-07-20 8:51 Lars Wendler
2017-05-23 8:03 Lars Wendler
2017-01-02 8:39 Lars Wendler
2017-01-02 8:39 Lars Wendler
2016-10-06 14:52 Lars Wendler
2016-09-26 10:41 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1673436330.45308c25682983317722d1f75142025b2a560355.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox